ScalaSourceSet (Gradle API 8.13)
Description: declaration: package: org.gradle.api.tasks, interface: ScalaSourceSet

Package org.gradle.api.tasks

# Interface ScalaSourceSet

@Deprecated public interface ScalaSourceSet
Deprecated.
Using conventions to contribute source sets is deprecated. You can configure the groovy sources via the `ScalaSourceDirectorySet` extension (e.g. `sourceSet.getExtensions().getByType(ScalaSourceDirectorySet.class).setSrcDirs(...)`). This interface is scheduled for removal in Gradle 9.0.
A `ScalaSourceSet` defines the properties and methods added to a `SourceSet` by the `ScalaPlugin`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SourceDirectorySet`
  `getAllScala()`
  Deprecated.
  All Scala source for this source set.
  `SourceDirectorySet`
  `getScala()`
  Deprecated.
  Returns the source to be compiled by the Scala compiler for this source set.
  `ScalaSourceSet`
  `scala(Closure configureClosure)`
  Deprecated.
  Configures the Scala source for this set.
  `ScalaSourceSet`
  `scala(Action<? super SourceDirectorySet> configureAction)`
  Deprecated.
  Configures the Scala source for this set.

- ## Method Details

  - ### getScala

    SourceDirectorySet getScala()
    Deprecated.
    Returns the source to be compiled by the Scala compiler for this source set. This may contain both Java and Scala source files.
    Returns:
      The Scala source. Never returns null.

  - ### scala

    ScalaSourceSet scala(@DelegatesTo(SourceDirectorySet.class) Closure configureClosure)
    Deprecated.
    Configures the Scala source for this set.

    The given closure is used to configure the `SourceDirectorySet` which contains the Scala source.

    Parameters:
      `configureClosure` - The closure to use to configure the Scala source.
    Returns:
      this

  - ### scala

    ScalaSourceSet scala(Action<? super SourceDirectorySet> configureAction)
    Deprecated.
    Configures the Scala source for this set.

    The given action is used to configure the `SourceDirectorySet` which contains the Scala source.

    Parameters:
      `configureAction` - The action to use to configure the Scala source.
    Returns:
      this

  - ### getAllScala

    SourceDirectorySet getAllScala()
    Deprecated.
    All Scala source for this source set.
    Returns:
      the Scala source. Never returns null.